Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.spi
Class LocaleNameProvider

    java.lang.Object
      java.util.spi.LocaleServiceProvider
          java.util.spi.LocaleNameProvider

    public abstract class LocaleNameProvider

extends LocaleServiceProvider

An abstract class for service providers that provide localized names for the `Locale` class.

Since:
  1.6

Constructor Summary
`protected` | `LocaleNameProvider()` Sole constructor.

Method Summary
`abstract String` | `getDisplayCountry(String countryCode, Locale locale)` Returns a localized name for the given ISO 3166 country code and the given locale that is appropriate for display to the user.
`abstract String` | `getDisplayLanguage(String languageCode, Locale locale)` Returns a localized name for the given ISO 639 language code and the given locale that is appropriate for display to the user.
`abstract String` | `getDisplayVariant(String variant, Locale locale)` Returns a localized name for the given variant code and the given locale that is appropriate for display to the user.

Methods inherited from class java.util.spi.LocaleServiceProvider
`getAvailableLocales`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocaleNameProvider

    protected LocaleNameProvider()

  Sole constructor. (For invocation by subclass constructors, typically implicit.)

Method Detail

### getDisplayLanguage

    public abstract String getDisplayLanguage(String languageCode,
                                              Locale locale)

  Returns a localized name for the given ISO 639 language code and the given locale that is appropriate for display to the user. For example, if `languageCode` is "fr" and `locale` is en_US, getDisplayLanguage() will return "French"; if `languageCode` is "en" and `locale` is fr_FR, getDisplayLanguage() will return "anglais". If the name returned cannot be localized according to `locale`, (say, the provider does not have a Japanese name for Croatian), this method returns null.

  Parameters:
    `languageCode` - the ISO 639 language code string in the form of two lower-case letters between 'a' (U+0061) and 'z' (U+007A)
    `locale` - the desired locale
  Returns:
    the name of the given language code for the specified locale, or null if it's not available.
  Throws:
    `NullPointerException` - if `languageCode` or `locale` is null
    `IllegalArgumentException` - if `languageCode` is not in the form of two lower-case letters, or `locale` isn't one of the locales returned from `getAvailableLocales()`.
  See Also:
    `Locale.getDisplayLanguage(java.util.Locale)`

### getDisplayCountry

    public abstract String getDisplayCountry(String countryCode,
                                             Locale locale)

  Returns a localized name for the given ISO 3166 country code and the given locale that is appropriate for display to the user. For example, if `countryCode` is "FR" and `locale` is en_US, getDisplayCountry() will return "France"; if `countryCode` is "US" and `locale` is fr_FR, getDisplayCountry() will return "Etats-Unis". If the name returned cannot be localized according to `locale`, (say, the provider does not have a Japanese name for Croatia), this method returns null.

  Parameters:
    `countryCode` - the ISO 3166 country code string in the form of two upper-case letters between 'A' (U+0041) and 'Z' (U+005A)
    `locale` - the desired locale
  Returns:
    the name of the given country code for the specified locale, or null if it's not available.
  Throws:
    `NullPointerException` - if `countryCode` or `locale` is null
    `IllegalArgumentException` - if `countryCode` is not in the form of two upper-case letters, or `locale` isn't one of the locales returned from `getAvailableLocales()`.
  See Also:
    `Locale.getDisplayCountry(java.util.Locale)`

### getDisplayVariant

    public abstract String getDisplayVariant(String variant,
                                             Locale locale)

  Returns a localized name for the given variant code and the given locale that is appropriate for display to the user. If the name returned cannot be localized according to `locale`, this method returns null.

  Parameters:
    `variant` - the variant string
    `locale` - the desired locale
  Returns:
    the name of the given variant string for the specified locale, or null if it's not available.
  Throws:
    `NullPointerException` - if `variant` or `locale` is null
    `IllegalArgumentException` - if `locale` isn't one of the locales returned from `getAvailableLocales()`.
  See Also:
    `Locale.getDisplayVariant(java.util.Locale)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.